% rutero para preg3, lab8, 521230 S2, 2011

val1 = quadl('f1_lab8',0,pi/2);
% error, debe ser menor o igual que 1e-6, segun valor por defecto para
% tolerancia en llamados a quadl
abs(val1 - 2*sqrt(2)+2)

val2 = quadl('f2_lab8',0,1);
% error, debe ser menor o igual que 1e-6, segun valor por defecto para
% tolerancia en llamados a quadl
abs(val2 - pi/(1+pi^2)*(exp(1)+1))

% aproximando pi
format long
for i = 6:10
    val = quadl('f3_lab8',0,1,10^(-i));
    piaprox = 4*val;
    abs(pi-piaprox)    
end
